pcl::ConditionAnd< PointT > Class Template Reference

AND condition. More...

`#include <pcl/filters/conditional_removal.h>`

Inheritance diagram for pcl::ConditionAnd< PointT >:

## Public Types

using | Ptr = shared_ptr< ConditionAnd< PointT > >
using | ConstPtr = shared_ptr< const ConditionAnd< PointT > >
Public Types inherited from pcl::ConditionBase< PointT >
using | ComparisonBase = pcl::ComparisonBase< PointT >
using | ComparisonBasePtr = typename ComparisonBase::Ptr
using | ComparisonBaseConstPtr = typename ComparisonBase::ConstPtr
using | Ptr = shared_ptr< ConditionBase< PointT > >
using | ConstPtr = shared_ptr< const ConditionBase< PointT > >

## Public Member Functions

| ConditionAnd ()
| Constructor. More...
bool | evaluate (const PointT &point) const override
| Determine if a point meets this condition. More...
Public Member Functions inherited from pcl::ConditionBase< PointT >
| ConditionBase ()
| Constructor. More...
virtual | ~ConditionBase ()=default
| Destructor. More...
void | addComparison (ComparisonBaseConstPtr comparison)
| Add a new comparison. More...
void | addCondition (Ptr condition)
| Add a nested condition to this condition. More...
bool | isCapable () const
| Check if evaluation requirements are met. More...

## Additional Inherited Members

Protected Attributes inherited from pcl::ConditionBase< PointT >
bool | capable_
| True if capable. More...
std::vector< ComparisonBaseConstPtr > | comparisons_
| The collection of all comparisons that need to be verified. More...
std::vector< Ptr > | conditions_
| The collection of all conditions that need to be verified. More...

## Detailed Description

### template<typename PointT>
class pcl::ConditionAnd< PointT >

AND condition.

Definition at line 503 of file conditional_removal.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT>

using pcl::ConditionAnd< PointT >::ConstPtr = shared_ptr<const ConditionAnd<PointT> >

Definition at line 510 of file conditional_removal.h.

## Ptr

template<typename PointT>

using pcl::ConditionAnd< PointT >::Ptr = shared_ptr<ConditionAnd<PointT> >

Definition at line 509 of file conditional_removal.h.

## Constructor & Destructor Documentation

## ConditionAnd()

template<typename PointT>

pcl::ConditionAnd< PointT >::ConditionAnd | ( |  | ) |

inline

Constructor.

Definition at line 513 of file conditional_removal.h.

## Member Function Documentation

## evaluate()

template<typename PointT >

bool pcl::ConditionAnd< PointT >::evaluate | ( | const PointT & | point | ) | const

override virtual

Determine if a point meets this condition.

Returns
  whether the point meets this condition.

The ConditionAnd evaluates to true when ALL comparisons and nested conditions evaluate to true

Implements pcl::ConditionBase< PointT >.

Definition at line 612 of file conditional_removal.hpp.

The documentation for this class was generated from the following files:

- pcl/filters/conditional_removal.h
- pcl/filters/impl/conditional_removal.hpp